import * as React from 'react';
import { BoxProps } from './Grid';
interface ArcSliderState {
    isDragging: boolean;
    innerValue: number;
}
declare class ArcSlider extends React.Component<ArcSliderProps, ArcSliderState> {
    private $slider;
    constructor(props: any);
    componentDidMount(): void;
    componentWillUnmount(): void;
    handleMouseUp: () => void;
    handleMouseDown: (e: any) => void;
    handleMouseMove: (e: any) => void;
    render(): JSX.Element;
}
export interface ArcSliderProps extends BoxProps {
    onValueChange?: (value: number) => void;
    value?: number;
    fillColor?: string;
    background?: string;
}
export default ArcSlider;
